【提问】Fabric blockchain-explorer在config.json中"enableTls":true运行start.sh报错

很老的一个问题了,有人之前遇到,帮忙看看,编译出错!

[[email protected] blockchain-explorer]# cat log.log 

Please open Internet explorer to access 锛.ttp://localhost:8080/

[2017-10-13 16:25:51.338] [ERROR] Helper - Error: Calling enrollment endpoint failed with error [Error: write EPROTO 140599573804864:error:140770FC:SSL routines:SSL23_GET_SERVER_HELLO:unknown protocol:../deps/openssl/openssl/ssl/s23_clnt.c:794:

]

    at ClientRequest.<anonymous> (/opt/gopath/src/github.com/hyperledger/fabric/blockchain-explorer/node_modules/fabric-ca-client/lib/FabricCAClientImpl.js:711:12)

    at emitOne (events.js:96:13)

    at ClientRequest.emit (events.js:188:7)

    at TLSSocket.socketErrorListener (_http_client.js:309:9)

    at emitOne (events.js:96:13)

    at TLSSocket.emit (events.js:188:7)

    at onwriteError (_stream_writable.js:343:10)

    at onwrite (_stream_writable.js:361:5)

    at WritableState.onwrite (_stream_writable.js:90:5)

    at fireErrorCallbacks (net.js:467:13)

[2017-10-13 16:25:51.342] [ERROR] Helper - admin enrollment failed

(node:29096) UnhandledPromiseRejectionWarning: Unhandled promise rejection (rejection id: 1): Error: Cannot save null userContext.

E1013 16:25:51.364795697   29096 ssl_transport_security.c:921] Handshake failed with fatal error SSL_ERROR_SSL: error:1408F10B:SSL routines:SSL3_GET_RECORD:wrong version number.

error: [client-utils.js]: sendPeersProposal - Promise is rejected: Error: Connect Failed

    at /opt/gopath/src/github.com/hyperledger/fabric/blockchain-explorer/node_modules/grpc/src/node/src/client.js:554:15

error: [Client.js]: Failed Installed Chaincodes Query. Error: Error: Connect Failed

    at /opt/gopath/src/github.com/hyperledger/fabric/blockchain-explorer/node_modules/grpc/src/node/src/client.js:554:15

[2017-10-13 16:25:51.376] [ERROR] Query - Error: Connect Failed

    at /opt/gopath/src/github.com/hyperledger/fabric/blockchain-explorer/node_modules/grpc/src/node/src/client.js:554:15

E1013 16:25:51.376883133   29096 ssl_transport_security.c:921] Handshake failed with fatal error SSL_ERROR_SSL: error:1408F10B:SSL routines:SSL3_GET_RECORD:wrong version number.

error: [client-utils.js]: sendPeersProposal - Promise is rejected: Error: Connect Failed

    at /opt/gopath/src/github.com/hyperledger/fabric/blockchain-explorer/node_modules/grpc/src/node/src/client.js:554:15

error: [Channel.js]: Failed Query channel info. Error: Error: Connect Failed

    at /opt/gopath/src/github.com/hyperledger/fabric/blockchain-explorer/node_modules/grpc/src/node/src/client.js:554:15

[2017-10-13 16:25:51.378] [ERROR] Query - Error: Connect Failed

    at /opt/gopath/src/github.com/hyperledger/fabric/blockchain-explorer/node_modules/grpc/src/node/src/client.js:554:15

[2017-10-13 16:25:51.379] [ERROR] blockscanner - TypeError: Cannot read property 'low' of undefined

    at getChainInfo.then.response (/opt/gopath/src/github.com/hyperledger/fabric/blockchain-explorer/app/query.js:301:32)